ResourcePath = "Homeopatix/Fisherman/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "Fisherman.tga",
};

function CreateLocalizationInfo()
	Strings = {};

	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		Strings.PluginName = "Fish";
		Strings.PluginText = "Von Homeopatix";
		Strings.PluginLoisir = "Wirf die Leine";
		Strings.PluginPrimary = "Prim\195\164r";
		Strings.PluginSecondary = "Sekund\195\164r";
		Strings.PluginCanneapeche = "Angelrute";
		Strings.PluginValidate = "Auswahl validieren";
		Strings.PluginAltEnable = "Alt-Taste aktiviert";
		Strings.PluginAltDesable = "Alt-Taste deaktiviert";
		Strings.PluginOptionShowWindow = "Zeigen Sie das Optionsfenster an";
		Strings.PluginClear = "L\195\182schen Sie die Verkn\195\188pfungen";
		Strings.PluginHelp = " *** Fisherman Hilfe ***\n\n" ..
		"/show Zeigen Fisherman an\n" ..
		"/hide Verstecke Fisherman\n" ..
		"/alt - Aktivieren oder deaktivieren Sie die alt-Taste um das Symbol zu verschieben.\n\n" ..
		"Sie k\195\182nnen Ihre Angelrute im Symbol rechts ziehen und ablegen";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
		Strings.PluginName = "Fish";
		Strings.PluginText = "Par Homeopatix";
		Strings.PluginLoisir = "Lancer la ligne";
		Strings.PluginPrimary = "Principale";
		Strings.PluginSecondary = "Secondaire";
		Strings.PluginCanneapeche = "Canne \195\160 p\195\170che";
		Strings.PluginValidate = "Valider Selection";
		Strings.PluginOptionShowWindow = "Affiche la fen\195\170tre d'options"
		Strings.PluginClear = "Efface les raccourcis";
		Strings.PluginAltEnable = "Touche Alt activ\195\169";
		Strings.PluginAltDesable = "Touche Alt desactiv\195\169";
		Strings.PluginHelp = " *** Fisherman Aide ***\n\n" ..
		"/show affiche Fisherman\n" ..
		"/hide cache Fisherman\n" ..
		"/alt - Active ou d\195\169sactive la touche alt pour le d\195\169placement de l'icon.\n\n" ..
		"Vous pouvez faire glisser et d\195\169poser votre canne a peche dans l'icon de droite";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
		Strings.PluginName = "Fish";
		Strings.PluginText = "By Homeopatix";
		Strings.PluginLoisir = "Throw the line";
		Strings.PluginPrimary = "Primary";
		Strings.PluginSecondary = "Secondary";
		Strings.PluginCanneapeche = "Fishing rod";
		Strings.PluginValidate = "Validate Selection";
		Strings.PluginOptionShowWindow = "Display the options window";
		Strings.PluginClear = "Delete the shortcuts";
		Strings.PluginAltEnable = "Alt key Activated";
		Strings.PluginAltDesable = "Alt key Desactivated";
		Strings.PluginHelp = " *** Fisherman Help ***\n\n" ..
		"/show Display Fisherman\n" ..
		"/hide Hide Fisherman\n" ..
		"/alt - Activate or deactivate the alt key to move the icon.\n\n" ..
		"You can drag and drop your fishing rod in the icon on the right";
	end
end